<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"  xmlns:pl="http://purl.org/rss/1.0/" xmlns:prism="http://prismstandard.org/namespaces/1.2/basic/" xmlns:nj="http://www.nature.com/ns/2004/03/jobs#">

	<xsl:output method="text"/>
	<xsl:variable name="newline_2">
<xsl:text>
				</xsl:text>
	</xsl:variable>
	
	<xsl:variable name="newline_1">
<xsl:text>
	</xsl:text>
	</xsl:variable>
	
	<xsl:variable name="newline">
<xsl:text>
</xsl:text>
	</xsl:variable>

	
	<xsl:template match="/">
		<xsl:apply-templates select="rdf:RDF"/>
	</xsl:template>
	
	<!-- STRING REPLACEMENT FOR SQLLDR -->
	<xsl:template name="replace-substring">
		<xsl:param name="original"/>
    		<xsl:param name="substring"/>
   		<xsl:param name="replacement" select='"&apos;&apos;"'/>
   		<xsl:variable name="first"> 
      		<xsl:choose>
        		<xsl:when test="contains($original, $substring)">
          			<xsl:value-of select="substring-before($original, $substring)"/>
        		</xsl:when>
        	<xsl:otherwise>
         			 <xsl:value-of select="$original"/>
        	</xsl:otherwise>
      		</xsl:choose>
      		</xsl:variable>
      		<xsl:variable name="middle">
        	<xsl:choose>
          		<xsl:when test="contains($original, $substring)">
            			<xsl:value-of select="$replacement"/>
          		</xsl:when>
          	<xsl:otherwise>
            			<xsl:text></xsl:text>
          	</xsl:otherwise>
        	</xsl:choose>
      		</xsl:variable>
      		<xsl:variable name="last">
     		<xsl:choose>
        		<xsl:when test="contains($original, $substring)">
        		<xsl:choose>
          			<xsl:when test="contains(substring-after($original, $substring), $substring)">
            				<xsl:call-template name="replace-substring">
              			<xsl:with-param name="original">
                				<xsl:value-of select="substring-after($original, $substring)"/>
              			</xsl:with-param>
              			<xsl:with-param name="substring">
                				<xsl:value-of select="$substring"/>
              			</xsl:with-param>
              			<xsl:with-param name="replacement">
                				<xsl:value-of select="$replacement"/>
              			</xsl:with-param>
              			</xsl:call-template>
            			</xsl:when>
           		<xsl:otherwise>
              		<xsl:value-of select="substring-after($original, $substring)"/>
          		</xsl:otherwise>
          		</xsl:choose>
          		</xsl:when>
          	<xsl:otherwise>
           		 <xsl:text></xsl:text>
         	</xsl:otherwise>
          	</xsl:choose>
          	</xsl:variable>
          		<xsl:value-of select="concat($first, $middle, $last)"/>
        </xsl:template>
	
 
	<xsl:template match="rdf:RDF">
		
	<!-- for each channel -->
		<xsl:for-each select="pl:channel">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>channel</xsl:text>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="pl:title">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="pl:title"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="pl:title"/>-->
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/> 
			</xsl:if>
			                            
			<xsl:if test="pl:description">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>description</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="pl:description"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="pl:description"/>-->
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:link">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>link</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="pl:link"/>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>	
			</xsl:if>

			<xsl:if test="dc:publisher">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>publisher</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="dc:publisher"/>
			<xsl:text>"'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:language">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>language</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="dc:language"/>
			<xsl:text>"'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dc:rights">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>rights</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="dc:rights"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:publicationName">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publicationName</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:publicationName"/>
			<xsl:text>"'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:issn">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>issn</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:issn"/>
			<xsl:text>"'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="prism:publisher">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publisher</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:publisher"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:copyright">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>copyright</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:copyright"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:rightsAgent">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>rightsAgent</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:rightsAgent"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:image">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>image</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="pl:image/@rdf:resource"/>
			<xsl:text>&gt;'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<!-- FOR COLLECTIONS-->
			<!-- COLLECTION: SEQ -->
			<xsl:for-each select="pl:items/rdf:Seq">
			<xsl:variable name="seqnum" select="generate-id()"/>
			
				<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
				<xsl:text>'</xsl:text>
				<xsl:text>_:BNSEQ</xsl:text>
				<xsl:value-of select="$seqnum"/>
				<xsl:text>', '&lt;</xsl:text>			
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>type</xsl:text>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>Seq</xsl:text>
				<xsl:text>&gt;'</xsl:text>
				<xsl:text>, model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
		       	
		       	<!-- create insert statements for each member of SEQ -->
		       	<xsl:for-each select="rdf:li/@rdf:resource">
		       	<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
				<xsl:text>'_:BNSEQ</xsl:text>
				<xsl:value-of select="$seqnum"/>
				<xsl:text>', '&lt;</xsl:text>
				<xsl:variable name="slistnum" select="position()"/>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>_</xsl:text>
				<xsl:value-of select="$slistnum"/>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="."/>
				<xsl:text>&gt;', model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
		       	</xsl:for-each>
		       	
		       	<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
		       	<xsl:text>'&lt;</xsl:text>
		       	<xsl:value-of select="//@rdf:about"/>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="namespace::pl"/>
				<xsl:text>items</xsl:text>
				<xsl:text>&gt;', '</xsl:text>
				<xsl:text>_:BNSEQ</xsl:text>
				<xsl:value-of select="$seqnum"/>
				<xsl:text>'</xsl:text>
				<xsl:text>, model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
		       	
			</xsl:for-each>
			

			<!-- COLLECTION: BAG -->
			<xsl:for-each select="pl:items/rdf:Bag">
			<xsl:variable name="bagnum" select="generate-id()"/>
				
				<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
				<xsl:text>'</xsl:text>
				<xsl:text>_:BNBAG</xsl:text>
				<xsl:value-of select="$bagnum"/>
				<xsl:text>', '&lt;</xsl:text>			
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>type</xsl:text>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>Bag</xsl:text>
				<xsl:text>&gt;'</xsl:text>
				<xsl:text>, model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
		       	
		       	<!-- create insert statements for each member of BAG -->
		       	<xsl:for-each select="rdf:li/@rdf:resource">
		       	<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
				<xsl:text>'_:BNBAG</xsl:text>
				<xsl:value-of select="$bagnum"/>
				<xsl:text>', '&lt;</xsl:text>
				<xsl:variable name="blistnum" select="position()"/>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>_</xsl:text>
				<xsl:value-of select="$blistnum"/>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="."/>
				<xsl:text>&gt;', model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
		       	</xsl:for-each>
		       	
		       	<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
		       	<xsl:text>'&lt;</xsl:text>
		       	<xsl:value-of select="//@rdf:about"/>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="namespace::pl"/>
				<xsl:text>items</xsl:text>
				<xsl:text>&gt;', '</xsl:text>
				<xsl:text>_:BNBAG</xsl:text>
				<xsl:value-of select="$bagnum"/>
				<xsl:text>'</xsl:text>
				<xsl:text>, model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
				
			</xsl:for-each>

			<!-- COLLECTION: ALT -->
			<xsl:for-each select="pl:items/rdf:Alt">
				<xsl:variable name="altnum" select="generate-id()"/>
				
				<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
				<xsl:text>'</xsl:text>
				<xsl:text>_:BNALT</xsl:text>
				<xsl:value-of select="$altnum"/>
				<xsl:text>', '&lt;</xsl:text>			
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>type</xsl:text>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>Alt</xsl:text>
				<xsl:text>&gt;'</xsl:text>
				<xsl:text>, model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
		       	
		       	<!-- create insert statements for each member of ALT -->
		       	<xsl:for-each select="rdf:li/@rdf:resource">
		       	<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
				<xsl:text>'_:BNALT</xsl:text>
				<xsl:value-of select="$altnum"/>
				<xsl:text>', '&lt;</xsl:text>
				<xsl:variable name="alistnum" select="position()"/>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>_</xsl:text>
				<xsl:value-of select="$alistnum"/>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="."/>
				<xsl:text>&gt;', model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
		       	</xsl:for-each>
						       	
		       	<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
		       	<xsl:text>'&lt;</xsl:text>
		       	<xsl:value-of select="//@rdf:about"/>
				<xsl:text>&gt;', '&lt;</xsl:text>
				<xsl:value-of select="namespace::pl"/>
				<xsl:text>items</xsl:text>
				<xsl:text>&gt;', '</xsl:text>
				<xsl:text>_:BNALT</xsl:text>
				<xsl:value-of select="$altnum"/>
				<xsl:text>'</xsl:text>
				<xsl:text>, model_id));</xsl:text>
				<xsl:value-of select="$newline"/>
				
			</xsl:for-each>

		</xsl:for-each>
	<!--end for each channel-->

	<!-- for each image -->
		<xsl:for-each select="pl:image">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>image</xsl:text>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="pl:title">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="pl:title"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="pl:title"/>-->
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:url">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>url</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="pl:url"/>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:link">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>link</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="pl:link"/>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
		</xsl:for-each>

	<!-- for each item -->
		<xsl:for-each select="pl:item">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>	
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>item</xsl:text>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="pl:title">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="pl:title"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="pl:title"/>-->
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:link">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>link</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="pl:link"/>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:description">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>description</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="pl:description"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="pl:description"/>-->
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:title">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="dc:title"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="dc:title"/>-->
			<xsl:text>"'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:source">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>source</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="dc:source"/>
			<xsl:text>"'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:date">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>date</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="dc:date"/>
			<xsl:text>"'));</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dc:creator">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>creator</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="dc:creator"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="dc:creator"/>-->
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dc:identifier">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>identifier</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="dc:identifier"/>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dcterms:references">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::dcterms"/>
			<xsl:text>references</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="dcterms:references"/>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="prism:publicationName">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publicationName</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:publicationName"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:publicationDate">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publicationDate</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:publicationDate"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:volume">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>volume</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:volume"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:number">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>number</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:number"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:category">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>category</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="prism:category/@rdf:resource"/>
			<xsl:text>&gt;'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:section">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>section</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:section"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:startingPage">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>startingPage</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="prism:startingPage"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<!-- FOR JOBS -->
			<xsl:for-each select="nj:advertises">
			<xsl:variable name="jobnum" select="generate-id()"/>
			
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'</xsl:text>
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text>', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>Job</xsl:text>
			<xsl:text>&gt;'</xsl:text>
			<xsl:text>, model_id));</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="nj:Job/nj:offeredBy">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'</xsl:text>
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text>', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>offeredBy</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="nj:Job/nj:offeredBy"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="nj:Job/nj:offeredBy"/>-->
			<xsl:text>"'</xsl:text>
			<xsl:text>, model_id));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="nj:Job/nj:city">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'</xsl:text>
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text>', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>city</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="nj:Job/nj:city"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="nj:Job/nj:city"/>-->
			<xsl:text>"'</xsl:text>
			<xsl:text>, model_id));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="nj:Job/nj:state">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'</xsl:text>
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text>', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>state</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="nj:Job/nj:state"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="nj:Job/nj:state"/>-->
			<xsl:text>"'</xsl:text>
			<xsl:text>, model_id));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="nj:Job/nj:country">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'</xsl:text>
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text>', '&lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>country</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:call-template name="replace-substring">
      				<xsl:with-param name="original" select="nj:Job/nj:country"/>
      				<xsl:with-param name="substring" select='"&apos;"'/>
      			</xsl:call-template>
			<!--<xsl:value-of select="nj:Job/nj:country"/>-->
			<xsl:text>"'</xsl:text>
			<xsl:text>, model_id));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="../@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>advertises</xsl:text>
			<xsl:text>&gt;', '</xsl:text>
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text>'</xsl:text>
			<xsl:text>, model_id));</xsl:text>
			<xsl:value-of select="$newline"/>
			<!-- jobs end -->
			</xsl:for-each>
			
			<xsl:if test="nj:postedOn">
			<xsl:text>INSERT INTO rdf_tab VALUES (SDO_RDF_TRIPLE_S('model_name', </xsl:text>
			<xsl:text>'&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt;', '&lt;</xsl:text>
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>postedOn</xsl:text>
			<xsl:text>&gt;', '"</xsl:text>
			<xsl:value-of select="nj:postedOn"/>
			<xsl:text>"'));</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			
		</xsl:for-each>
	</xsl:template>
		
	
</xsl:stylesheet>
