<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"  xmlns:pl="http://purl.org/rss/1.0/" xmlns:prism="http://prismstandard.org/namespaces/1.2/basic/" xmlns:nj="http://www.nature.com/ns/2004/03/jobs#">

	<xsl:output method="text"/>
	
	<xsl:variable name="newline">
<xsl:text>
</xsl:text>
	</xsl:variable>
	
	<xsl:template match="/">
		<xsl:apply-templates select="rdf:RDF"/>
	</xsl:template>

	<xsl:template match="rdf:RDF">
	
	<!-- for each channel -->
		<xsl:for-each select="pl:channel">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>channel</xsl:text>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="pl:title">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="pl:title"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/> 
			</xsl:if>
			                            
			<xsl:if test="pl:description">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>description</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="pl:description"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:link">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>link</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="pl:link"/>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>	
			</xsl:if>

			<xsl:if test="dc:publisher">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>publisher</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="dc:publisher"/>
			<xsl:text>" .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:language">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>language</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="dc:language"/>
			<xsl:text>" .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dc:rights">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>rights</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="dc:rights"/>
			<xsl:text>" .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:publicationName">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publicationName</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:publicationName"/>
			<xsl:text>" .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:issn">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>issn</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:issn"/>
			<xsl:text>" .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="prism:publisher">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publisher</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:publisher"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:copyright">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>copyright</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:copyright"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:rightsAgent">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>rightsAgent</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:rightsAgent"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:image">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>image</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="pl:image/@rdf:resource"/>
			<xsl:text>&gt; .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			
			<!-- COLLECTION: SEQ -->
			<xsl:for-each select="pl:items/rdf:Seq">
			<xsl:variable name="seqnum" select="generate-id()"/>
				
				<xsl:text>_:BNSEQ</xsl:text>
				<xsl:value-of select="$seqnum"/>
				<xsl:text> &lt;</xsl:text>			
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>type</xsl:text>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>Seq</xsl:text>
				<xsl:text>&gt; .</xsl:text>
				<xsl:value-of select="$newline"/>
				
				<xsl:for-each select="rdf:li/@rdf:resource">
				<xsl:text>_:BNSEQ</xsl:text>
				<xsl:value-of select="$seqnum"/>
				<xsl:text> &lt;</xsl:text>				
				<xsl:variable name="slistnum" select="position()"/>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>_</xsl:text>
				<xsl:value-of select="$slistnum"/>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="."/>
				<xsl:text>&gt; .</xsl:text>
				<xsl:value-of select="$newline"/>
		       	</xsl:for-each>
		       	
		       	<xsl:text>&lt;</xsl:text>
		       	<xsl:value-of select="//@rdf:about"/>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="namespace::pl"/>
				<xsl:text>items</xsl:text>
				<xsl:text>&gt; </xsl:text>
				<xsl:text>_:BNSEQ</xsl:text>
				<xsl:value-of select="$seqnum"/>
				<xsl:text> .</xsl:text>
				<xsl:value-of select="$newline"/>
		       	
			</xsl:for-each>
			

			<!-- COLLECTION: BAG -->
			<xsl:for-each select="pl:items/rdf:Bag">
			<xsl:variable name="bagnum" select="generate-id()"/>
				
				<xsl:text>_:BNBAG</xsl:text>
				<xsl:value-of select="$bagnum"/>
				<xsl:text> &lt;</xsl:text>			
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>type</xsl:text>
				<xsl:text>&gt; &lt;</xsl:text>				
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>Bag</xsl:text>
				<xsl:text>&gt; .</xsl:text>
				<xsl:value-of select="$newline"/>
				
				<xsl:for-each select="rdf:li/@rdf:resource">
				<xsl:text>_:BNBAG</xsl:text>
				<xsl:value-of select="$bagnum"/>
				<xsl:text> &lt;</xsl:text>
				<xsl:variable name="blistnum" select="position()"/>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>_</xsl:text>
				<xsl:value-of select="$blistnum"/>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="."/>
				<xsl:text>&gt; .</xsl:text>
				<xsl:value-of select="$newline"/>
		       	</xsl:for-each>
		       	
		       	<xsl:text>&lt;</xsl:text>
		       	<xsl:value-of select="//@rdf:about"/>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="namespace::pl"/>
				<xsl:text>items</xsl:text>
				<xsl:text>&gt; </xsl:text>
				<xsl:text>_:BNBAG</xsl:text>
				<xsl:value-of select="$bagnum"/>
				<xsl:text> .</xsl:text>
				<xsl:value-of select="$newline"/>
				
			</xsl:for-each>

			<!-- COLLECTION: ALT -->
			<xsl:for-each select="pl:items/rdf:Alt">
				<xsl:variable name="altnum" select="generate-id()"/>
				
				
				<xsl:text>_:BNALT</xsl:text>
				<xsl:value-of select="$altnum"/>
				<xsl:text> &lt;</xsl:text>			
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>type</xsl:text>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>Alt</xsl:text>
				<xsl:text>&gt; .</xsl:text>
				<xsl:value-of select="$newline"/>
				
				<xsl:for-each select="rdf:li/@rdf:resource">
				<xsl:text>_:BNALT</xsl:text>
				<xsl:value-of select="$altnum"/>
				<xsl:text> &lt;</xsl:text>
				<xsl:variable name="alistnum" select="position()"/>
				<xsl:value-of select="namespace::rdf"/>
				<xsl:text>_</xsl:text>
				<xsl:value-of select="$alistnum"/>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="."/>
				<xsl:text>&gt; .</xsl:text>
				<xsl:value-of select="$newline"/>
		       	</xsl:for-each>
		       	
		       	<xsl:text>&lt;</xsl:text>
		       	<xsl:value-of select="//@rdf:about"/>
				<xsl:text>&gt; &lt;</xsl:text>
				<xsl:value-of select="namespace::pl"/>
				<xsl:text>items</xsl:text>
				<xsl:text>&gt; </xsl:text>		
				<xsl:text>_:BNALT</xsl:text>
				<xsl:value-of select="$altnum"/>
				<xsl:text> .</xsl:text>
				<xsl:value-of select="$newline"/>
				
			</xsl:for-each>

		</xsl:for-each>
	<!--end for each channel-->

	<!-- for each image -->
		<xsl:for-each select="pl:image">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>image</xsl:text>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="pl:title">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="pl:title"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:url">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>url</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="pl:url"/>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:link">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>link</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="pl:link"/>
			<xsl:text>&gt; .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
		</xsl:for-each>

	<!-- for each item -->
		<xsl:for-each select="pl:item">
			<xsl:text>&lt;</xsl:text>	
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>item</xsl:text>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="pl:title">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="pl:title"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:link">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>link</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="pl:link"/>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="pl:description">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::pl"/>
			<xsl:text>description</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="pl:description"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:title">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>title</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="dc:title"/>
			<xsl:text>" .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:source">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>source</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="dc:source"/>
			<xsl:text>" .</xsl:text>	
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="dc:date">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>date</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="dc:date"/>
			<xsl:text>" .</xsl:text>			
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dc:creator">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>creator</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="dc:creator"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dc:identifier">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dc"/>
			<xsl:text>identifier</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="dc:identifier"/>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="dcterms:references">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::dcterms"/>
			<xsl:text>references</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="dcterms:references"/>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="prism:publicationName">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publicationName</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:publicationName"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:publicationDate">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>publicationDate</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:publicationDate"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:volume">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>volume</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:volume"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:number">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>number</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:number"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:category">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>category</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="prism:category/@rdf:resource"/>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:section">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>section</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:section"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="prism:startingPage">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::prism"/>
			<xsl:text>startingPage</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="prism:startingPage"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<!-- FOR JOBS -->
			<xsl:for-each select="nj:advertises">
			<xsl:variable name="jobnum" select="generate-id()"/>
			
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text> &lt;</xsl:text>			
			<xsl:value-of select="namespace::rdf"/>
			<xsl:text>type</xsl:text>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>Job</xsl:text>
			<xsl:text>&gt; .</xsl:text>
			<xsl:value-of select="$newline"/>
			
			<xsl:if test="nj:Job/nj:offeredBy">
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text> &lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>offeredBy</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="nj:Job/nj:offeredBy"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:if test="nj:Job/nj:city">
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text> &lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>city</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="nj:Job/nj:city"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="nj:Job/nj:state">
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text> &lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>state</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="nj:Job/nj:state"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			<xsl:if test="nj:Job/nj:country">
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text> &lt;</xsl:text>			
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>country</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="nj:Job/nj:country"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>
			
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="../@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>advertises</xsl:text>
			<xsl:text>&gt; </xsl:text>
			<xsl:text>_:B</xsl:text>
			<xsl:value-of select="$jobnum"/>
			<xsl:text> .</xsl:text>
			<xsl:value-of select="$newline"/>
			<!-- jobs end -->
			</xsl:for-each>
			
			<xsl:if test="nj:postedOn">
			<xsl:text>&lt;</xsl:text>
			<xsl:value-of select="@rdf:about"/>
			<xsl:text>&gt; &lt;</xsl:text>
			<xsl:value-of select="namespace::nj"/>
			<xsl:text>postedOn</xsl:text>
			<xsl:text>&gt; "</xsl:text>
			<xsl:value-of select="nj:postedOn"/>
			<xsl:text>" .</xsl:text>
			<xsl:value-of select="$newline"/>
			</xsl:if>

			
		</xsl:for-each>
	</xsl:template>
		
	
</xsl:stylesheet>
